Bug 38310 - Cannot create all uppercase files/directories on vfat filesystems
Summary: Cannot create all uppercase files/directories on vfat filesystems
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-29 14:29 UTC by Carlos Rodrigues
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-01 21:41:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carlos Rodrigues 2001-04-29 14:29:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)


When I try to make a directory (or a file) with an all uppercase name, like
"RPMS", instead it makes one with an all lowercase name, like "rpms". Mixed
uppercase/lowercase names work ok.

Reproducible: Always
Steps to Reproduce:
1. mkdir RPMS
2. ls

	

Actual Results:  rpms

Expected Results:  RPMS

Comment 1 Carlos Rodrigues 2001-05-31 09:27:11 UTC
This problem only occurs with 8.3 filenames. I can create a file named 
"FOOBARABC" but not "FOOBARAB" (it gets "foobarab").

Comment 2 Arjan van de Ven 2001-05-31 09:43:35 UTC
VFAT by default emulates Win9X behavior.
If you  want case-preserving, use a parameter like this:

modprobe vfat posix

this should preserve case

Comment 3 Carlos Rodrigues 2001-06-01 21:41:34 UTC
Using the posix option doesn't make the problem go away. The behaviour is 
exactly the same (except not being able to refer to "FoO" as "foo" anymore, of 
course).


Note You need to log in before you can comment on or make changes to this bug.